## plasma-nm 5.12.4

=== CMakeLists.txt ===
project(plasma-networkmanagement)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)

################# set KDE specific information #################

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Network
    Quick
    QuickWidgets
    UiTools
    Widgets
)

find_package(KF5 REQUIRED
    I18n WindowSystem Service Completion WidgetsAddons KIO CoreAddons Wallet ItemViews XmlGui
    ConfigWidgets IconThemes Solid DBusAddons Notifications Plasma Declarative Init KDELibs4Support)

find_package(KF5NetworkManagerQt REQUIRED 5.42.0)

find_package(KF5ModemManagerQt 5.14.0)
set_package_properties(KF5ModemManagerQt PROPERTIES
                       TYPE OPTIONAL)

# Required only for getting information about NetworkManager version in CMake
find_package(NetworkManager 0.9.8.4)
set_package_properties(NetworkManager PROPERTIES
                       TYPE REQUIRED)

find_package(MobileBroadbandProviderInfo)
set_package_properties(MobileBroadbandProviderInfo PROPERTIES
                       DESCRIPTION "Database of mobile broadband service providers"
                       URL "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders"
                       TYPE OPTIONAL)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5/"
                       TYPE REQUIRED)

if (DISABLE_MODEMMANAGER_SUPPORT)
    message(STATUS "Disabling ModemManager support")
    set(WITH_MODEMMANAGER_SUPPORT 0)
else()
    if (KF5ModemManagerQt_FOUND)
        message(STATUS "Enabling ModemManager support")
        set(WITH_MODEMMANAGER_SUPPORT 1)
    else()
        message(STATUS "ModemManager or ModemManagerQt not found")
        set(WITH_MODEMMANAGER_SUPPORT 0)
    endif()
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

add_definitions(-DWITH_MODEMMANAGER_SUPPORT=${WITH_MODEMMANAGER_SUPPORT})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libs
                    ${CMAKE_CURRENT_SOURCE_DIR}/libs/editor/)

add_subdirectory(applet)
add_subdirectory(kded)
add_subdirectory(kcm)
add_subdirectory(libs)
add_subdirectory(vpn)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== applet/CMakeLists.txt ===
plasma_install_package(. org.kde.plasma.networkmanagement)

=== kded/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement-kded\")

include_directories(${CMAKE_SOURCE_DIR}/libs/editor/widgets)

if (WITH_MODEMMANAGER_SUPPORT)
    set(kded_networkmanagement_SRCS
        ../libs/debug.cpp
        bluetoothmonitor.cpp
        notification.cpp
        modemmonitor.cpp
        monitor.cpp
        passworddialog.cpp
        pindialog.cpp
        portalmonitor.cpp
        secretagent.cpp
        service.cpp
    )
    ki18n_wrap_ui(kded_networkmanagement_SRCS
        pinwidget.ui
        passworddialog.ui
    )
else()
    set(kded_networkmanagement_SRCS
        ../libs/debug.cpp
        bluetoothmonitor.cpp
        notification.cpp
        monitor.cpp
        passworddialog.cpp
        portalmonitor.cpp
        secretagent.cpp
        service.cpp
    )
    ki18n_wrap_ui(kded_networkmanagement_SRCS
        passworddialog.ui
    )
endif()

add_library(kded_networkmanagement MODULE ${kded_networkmanagement_SRCS})
set_target_properties(kded_networkmanagement PROPERTIES OUTPUT_NAME networkmanagement)
kcoreaddons_desktop_to_json(kded_networkmanagement networkmanagement.desktop)

target_link_libraries(kded_networkmanagement
    plasmanm_internal
    plasmanm_editor
    Qt5::Widgets
    Qt5::Network
    Qt5::DBus
    KF5::NetworkManagerQt
    KF5::Service
    KF5::Solid
    KF5::Completion
    KF5::I18n
    KF5::WidgetsAddons
    KF5::DBusAddons
    KF5::Notifications
    KF5::Wallet
    KF5::WindowSystem
    KF5::KIOWidgets
    KF5::CoreAddons
)

if (WITH_MODEMMANAGER_SUPPORT)
    target_link_libraries(kded_networkmanagement KF5::ModemManagerQt)
endif()

install(TARGETS kded_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)

install(FILES networkmanagement.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== libs/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement-libs\")

set(plasmanm_internal_SRCS
    models/appletproxymodel.cpp
    models/creatableconnectionsmodel.cpp
    models/editorproxymodel.cpp
    models/kcmidentitymodel.cpp
    models/networkitemslist.cpp
    models/networkmodel.cpp
    models/networkmodelitem.cpp

    configuration.cpp
    debug.cpp
    handler.cpp
    uiutils.cpp
)

add_library(plasmanm_internal SHARED ${plasmanm_internal_SRCS})

target_link_libraries(plasmanm_internal
    plasmanm_editor
    KF5::NetworkManagerQt
    KF5::Solid
    KF5::Completion
    KF5::I18n
    KF5::IconThemes
    KF5::Plasma
    KF5::Notifications
    Qt5::Xml
    Qt5::Network
)

if (WITH_MODEMMANAGER_SUPPORT)
    target_link_libraries(plasmanm_internal KF5::ModemManagerQt)
endif()

install(TARGETS plasmanm_internal ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(declarative)
add_subdirectory(editor)

=== libs/declarative/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libs/models)

set(plasmanm_qml_plugins_SRCS
   availabledevices.cpp
   connectionicon.cpp
   enabledconnections.cpp
   enums.cpp
   networkstatus.cpp
   qmlplugins.cpp
)

add_library(plasmanm_qmlplugins SHARED ${plasmanm_qml_plugins_SRCS})

target_link_libraries(plasmanm_qmlplugins
    plasmanm_internal
    plasmanm_editor
    Qt5::Quick
    Qt5::DBus
    Qt5::Network
    KF5::NetworkManagerQt
    KF5::I18n
    KF5::WindowSystem
)

if (WITH_MODEMMANAGER_SUPPORT)
    target_link_libraries(plasmanm_qmlplugins KF5::ModemManagerQt)
endif()

install(TARGETS plasmanm_qmlplugins DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/networkmanagement)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/networkmanagement)

=== libs/editor/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/widgets)

set(plasmanm_editor_SRCS
    settings/bondwidget.cpp
    settings/bridgewidget.cpp
    settings/btwidget.cpp
    settings/cdmawidget.cpp
    settings/connectionwidget.cpp
    settings/gsmwidget.cpp
    settings/infinibandwidget.cpp
    settings/ipv4widget.cpp
    settings/ipv6widget.cpp
    settings/pppoewidget.cpp
    settings/pppwidget.cpp
    settings/security802-1x.cpp
    settings/teamwidget.cpp
    settings/vlanwidget.cpp
    settings/wificonnectionwidget.cpp
    settings/wifisecurity.cpp
    settings/wiredconnectionwidget.cpp
    settings/wiredsecurity.cpp

    widgets/advancedpermissionswidget.cpp
    widgets/bssidcombobox.cpp
    widgets/delegate.cpp
    widgets/editlistdialog.cpp
    widgets/hwaddrcombobox.cpp
    widgets/intdelegate.cpp
    widgets/ipv4delegate.cpp
    widgets/ipv4routeswidget.cpp
    widgets/ipv6delegate.cpp
    widgets/ipv6routeswidget.cpp
    widgets/passwordfield.cpp
    widgets/settingwidget.cpp
    widgets/ssidcombobox.cpp

    connectioneditorbase.cpp
    connectioneditordialog.cpp
    connectioneditortabwidget.cpp
    listvalidator.cpp
    simpleipv4addressvalidator.cpp
    simpleipv6addressvalidator.cpp
    vpnuiplugin.cpp

    ../configuration.cpp
    ../debug.cpp
    ../uiutils.cpp
)

if (WITH_MODEMMANAGER_SUPPORT)
    set(plasmanm_editor_SRCS
        ${plasmanm_editor_SRCS}
        widgets/mobileconnectionwizard.cpp
        mobileproviders.cpp)
endif()

ki18n_wrap_ui(plasmanm_editor_SRCS
    settings/ui/802-1x.ui
    settings/ui/bond.ui
    settings/ui/bridge.ui
    settings/ui/bt.ui
    settings/ui/cdma.ui
    settings/ui/connectionwidget.ui
    settings/ui/gsm.ui
    settings/ui/infiniband.ui
    settings/ui/ipv4.ui
    settings/ui/ipv6.ui
    settings/ui/ppp.ui
    settings/ui/pppoe.ui
    settings/ui/team.ui
    settings/ui/vlan.ui
    settings/ui/team.ui
    settings/ui/wificonnectionwidget.ui
    settings/ui/wifisecurity.ui
    settings/ui/wiredconnectionwidget.ui
    settings/ui/wiredsecurity.ui

    widgets/ui/advancedpermissionswidget.ui
    widgets/ui/ipv4routes.ui
    widgets/ui/ipv6routes.ui

    connectioneditortabwidget.ui
)

add_library(plasmanm_editor SHARED ${plasmanm_editor_SRCS})
target_link_libraries(plasmanm_editor
    Qt5::Widgets
    Qt5::Network
    Qt5::DBus
    qca-qt5
    KF5::NetworkManagerQt
    KF5::Service
    KF5::Completion
    KF5::I18n
    KF5::WidgetsAddons
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::CoreAddons
    KF5::Wallet
    KF5::ItemViews
    KF5::XmlGui
    KF5::IconThemes
    KF5::Notifications
    KF5::Wallet
    KF5::Solid
    KF5::KDELibs4Support
)

if (WITH_MODEMMANAGER_SUPPORT)
    target_link_libraries(plasmanm_editor KF5::ModemManagerQt)
endif()

install(TARGETS plasmanm_editor ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES plasma-networkmanagement-vpnuiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== debian/changelog ===
plasma-nm (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:42 +0100

plasma-nm (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:57 +0000

plasma-nm (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:32 +0000

plasma-nm (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:34 +0000

plasma-nm (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:01 +0000

plasma-nm (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:46 +0000

plasma-nm (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:14 -0600

plasma-nm (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * Update install files for removal of legacy connection editor
  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:10 +0000

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               gettext,
               kinit-dev (>= 5.42.0~),
               libkf5completion-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5itemviews-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5networkmanagerqt-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5wallet-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               liblz4-dev,
               libnm-dev | hello,
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.42.0~),
               network-manager-dev (>= 0.9.8.4),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework,
         qml-module-org-kde-kcoreaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5wallet-bin
Suggests: network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc
Replaces: plasma-nm-data
Description: Plasma5 networkmanager library.
 Plasma desktop network manager.
 .
 This package is part of the KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-nm-dbg (<= 4:5.5.5-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/plasma-nm-([\d.]+)\.tar\.xz

## plasma-nm 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== kcm/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libs/editor
                    ${CMAKE_SOURCE_DIR}/libs/editor/widgets)

#KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement-kcm\")

set(kcm_networkmanagement_PART_SRCS
    ../libs/debug.cpp
    kcm.cpp
)

ki18n_wrap_ui(kcm_networkmanagement_PART_SRCS
    kcm.ui
)

add_library(kcm_networkmanagement MODULE ${kcm_networkmanagement_PART_SRCS})
target_link_libraries(kcm_networkmanagement
    plasmanm_internal
    plasmanm_editor
    Qt5::DBus
    Qt5::Quick
    Qt5::QuickWidgets
    Qt5::UiTools
    KF5::Completion
    KF5::ConfigWidgets
    KF5::Declarative
    KF5::I18n
    KF5::NetworkManagerQt
    KF5::WindowSystem
    KF5::Service
)
install(TARGETS kcm_networkmanagement  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES kcm_networkmanagement.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES
    qml/ConnectionItem.qml
    qml/Dialog.qml
    qml/Header.qml
    qml/ListItem.qml
    qml/main.qml

    DESTINATION ${DATA_INSTALL_DIR}/kcm_networkmanagement/qml)

=== vpn/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libs/editor/widgets)

add_subdirectory(fortisslvpn)
add_subdirectory(iodine)
add_subdirectory(l2tp)
add_subdirectory(openconnect)
add_subdirectory(openvpn)
add_subdirectory(openswan)
add_subdirectory(pptp)
add_subdirectory(ssh)
add_subdirectory(sstp)
add_subdirectory(strongswan)
add_subdirectory(vpnc)

=== vpn/fortisslvpn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_fortisslvpnui\")

set(fortisslvpn_SRCS
    fortisslvpn.cpp
    fortisslvpnwidget.cpp
    fortisslvpnauth.cpp
)

ki18n_wrap_ui(fortisslvpn_SRCS fortisslvpn.ui fortisslvpnadvanced.ui fortisslvpnauth.ui)

add_library(plasmanetworkmanagement_fortisslvpnui ${fortisslvpn_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_fortisslvpnui plasmanetworkmanagement_fortisslvpnui.desktop)

target_link_libraries(plasmanetworkmanagement_fortisslvpnui
    plasmanm_internal
    plasmanm_editor
    Qt5::Widgets
    Qt5::Network
    Qt5::DBus
    KF5::NetworkManagerQt
    KF5::Service
    KF5::Completion
    KF5::I18n
    KF5::WidgetsAddons
    KF5::KIOWidgets
    KF5::CoreAddons
)

install(TARGETS plasmanetworkmanagement_fortisslvpnui  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasmanetworkmanagement_fortisslvpnui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== vpn/l2tp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_l2tpui\")

set(l2tp_SRCS
    l2tp.cpp
    l2tpwidget.cpp
    l2tpauth.cpp
    l2tpadvancedwidget.cpp
    l2tppppwidget.cpp
)

ki18n_wrap_ui(l2tp_SRCS l2tp.ui l2tpadvanced.ui l2tpauth.ui l2tpppp.ui)

add_library(plasmanetworkmanagement_l2tpui ${l2tp_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_l2tpui plasmanetworkmanagement_l2tpui.desktop)

target_link_libraries(plasmanetworkmanagement_l2tpui
    plasmanm_internal
    plasmanm_editor
    Qt5::Widgets
    Qt5::Network
    Qt5::DBus
    KF5::NetworkManagerQt
    KF5::Service
    KF5::Completion
    KF5::I18n
    KF5::WidgetsAddons
    KF5::KIOWidgets
    KF5::CoreAddons
)

install(TARGETS plasmanetworkmanagement_l2tpui  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasmanetworkmanagement_l2tpui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== vpn/openconnect/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openconnectui\")

set (MINIMUM_OPENCONNECT_VERSION_REQUIRED "3.99")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})

find_package(OpenConnect ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} MODULE)
if (OPENCONNECT_FOUND)
    if (${OPENCONNECT_VERSION} VERSION_LESS "3.99")
#         macro_optional_find_package(OpenSSL)
#         macro_log_feature(OpenSSL_FOUND "OpenSSL headers" "Encryption suite" "http://www.openssl.org" FALSE "" "Needed for OpenConnect support in Network Management")
        find_package(OpenSSL)
        set_package_properties(OpenSSL PROPERTIES
                            DESCRIPTION "Encryption suite"
                            URL "http://www.openssl.org"
                            TYPE OPTIONAL
                            )


        if (OpenSSL_FOUND)
            set (MINIMUM_OPENCONNECT_VERSION_REQUIRED "3.03")
            set (maybe_OPENSSL_LIBRARIES ${OpenSSL_LIBRARIES})
        endif()
    endif()

    if (${OPENCONNECT_VERSION} VERSION_GREATER ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} OR
        ${OPENCONNECT_VERSION} VERSION_EQUAL ${MINIMUM_OPENCONNECT_VERSION_REQUIRED})

        include_directories(${OPENCONNECT_INCLUDE_DIRS})

        set(openconnect_SRCS
        ../../libs/debug.cpp
        openconnectui.cpp
        openconnectwidget.cpp
        openconnectauth.cpp
        openconnectauthworkerthread.cpp
        )

        ki18n_wrap_ui(openconnect_SRCS openconnectprop.ui openconnectauth.ui)

        add_library(plasmanetworkmanagement_openconnectui ${openconnect_SRCS})

        target_link_libraries(plasmanetworkmanagement_openconnectui
            plasmanm_internal
            plasmanm_editor
            ${NETWORKMANAGERQT5_LDFLAGS}
            Qt5::Widgets
            Qt5::Network
            Qt5::DBus
            KF5::Service
            KF5::Completion
            KF5::I18n
            KF5::WidgetsAddons
            KF5::KIOWidgets
            KF5::CoreAddons
            ${OPENCONNECT_LIBRARIES}
            ${maybe_OPENSSL_LIBRARIES}
        )
        install(TARGETS plasmanetworkmanagement_openconnectui  DESTINATION ${PLUGIN_INSTALL_DIR})
        install(FILES plasmanetworkmanagement_openconnectui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
        install(FILES plasmanetworkmanagement_openconnect_juniperui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
    else()
        message("ERROR: OpenConnection version '${OPENCONNECT_VERSION}' does not match minimum required (${MINIMUM_OPENCONNECT_VERSION_REQUIRED})")
        message("OpenConnect plugin will not be built")
        set(OPENCONNECT_FOUND False)
    endif()
else (OPENCONNECT_FOUND)
    message("OpenConnect plugin will not be built")
endif (OPENCONNECT_FOUND)

#macro_log_feature(OPENCONNECT_FOUND "OpenConnect headers and library" "Cisco AnyConnect compatible VPN client" "http://www.infradead.org/openconnect.html" FALSE ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} "Needed for OpenConnect support in Plasma NM")

=== vpn/openswan/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_openswanui\")

set(openswan_SRCS
    openswan.cpp
    openswanwidget.cpp
    openswanauth.cpp
)

ki18n_wrap_ui(openswan_SRCS openswan.ui openswanauth.ui)

add_library(plasmanetworkmanagement_openswanui ${openswan_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_openswanui plasmanetworkmanagement_openswanui.desktop)

target_link_libraries(plasmanetworkmanagement_openswanui
    plasmanm_internal
    plasmanm_editor
    Qt5::Widgets
    Qt5::Network
    Qt5::DBus
    KF5::NetworkManagerQt
    KF5::Service
    KF5::Completion
    KF5::I18n
    KF5::WidgetsAddons
    KF5::KIOWidgets
    KF5::CoreAddons
)

install(TARGETS plasmanetworkmanagement_openswanui  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasmanetworkmanagement_openswanui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-nm (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:13 +0100

plasma-nm (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:03 +0100

plasma-nm (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:32 +0100

plasma-nm (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:46 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qttools5-dev
+               qttools5-dev,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm

## plasma-nm 5.13.5

=== debian/changelog ===
plasma-nm (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu packaging Vcs fields.
    - debian/control: Bumped frameworks & Qt build deps

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:36 +0100

plasma-nm (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:42 +0200

plasma-nm (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu packaging Vcs fields.
    - debian/control: Bumped frameworks & Qt build deps

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 17:06:38 +0100

plasma-nm (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:17 +0200

plasma-nm (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:42:47 +0100

plasma-nm (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:40 +0100

plasma-nm (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Drop upstream patch
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:19 +0200

plasma-nm (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:52 +0100

plasma-nm (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:51 +0100

plasma-nm (4:5.12.3-2) unstable; urgency=medium

  * New revision
  * Upstream patch: Require NM 1.0.0 and newer
    Thanks to Michael Biebl for the report (Closes: 895438)
  * Bump build dep to libnm > 1.0.0~
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 11 Apr 2018 20:12:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                gettext,
                kinit-dev (>= 5.42.0~),
@@ -15,6 +15,7 @@
                libkf5declarative-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5iconthemes-dev (>= 5.42.0~),
+               libkf5itemmodels-dev (>= 5.42.0~),
                libkf5itemviews-dev (>= 5.42.0~),
                libkf5kdelibs4support-dev (>= 5.42.0~),
                libkf5kio-dev (>= 5.42.0~),
@@ -27,20 +28,18 @@
                libkf5widgetsaddons-dev (>= 5.42.0~),
                libkf5windowsystem-dev (>= 5.42.0~),
                libkf5xmlgui-dev (>= 5.42.0~),
-               liblz4-dev,
-               libnm-dev | hello,
+               libnm-dev (>= 1.0.0~),
                libopenconnect-dev (>= 3.99~),
                libqca-qt5-2-dev (>= 2.1.0~),
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),
                modemmanager-qt-dev (>= 5.42.0~),
-               network-manager-dev (>= 0.9.8.4),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qttools5-dev,
-Standards-Version: 3.9.8
+               qttools5-dev (>= 5.4.0~),
+Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
@@ -52,12 +51,11 @@
          plasma-framework,
          qml-module-org-kde-kcoreaddons,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libkf5wallet-bin
+         ${shlibs:Depends},
 Suggests: network-manager-openconnect,
           network-manager-openvpn,
           network-manager-pptp,
-          network-manager-vpnc
+          network-manager-vpnc,
 Replaces: plasma-nm-data
 Description: Plasma5 networkmanager library.
  Plasma desktop network manager.

## plasma-nm 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,22 @@
+cmake_minimum_required(VERSION 3.0)
+
 project(plasma-networkmanagement)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.4.0")
+set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION_MAJOR 5)
 
-set(PROJECT_VERSION "5.12.8")
-set(PROJECT_VERSION_MAJOR 5)
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
 
 ################# set KDE specific information #################
 
-find_package(ECM 1.3.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
-include(ECMPackageConfigHelpers)
-include(ECMOptionalAddSubdirectory)
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
@@ -24,23 +24,34 @@
     DBus
     Network
     Quick
-    QuickWidgets
-    UiTools
     Widgets
 )
 
-find_package(KF5 REQUIRED
-    I18n WindowSystem Service Completion WidgetsAddons KIO CoreAddons Wallet ItemViews XmlGui
-    ConfigWidgets IconThemes Solid DBusAddons Notifications Plasma Declarative Init KDELibs4Support)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
+    I18n
+    WindowSystem
+    Service
+    Completion
+    WidgetsAddons
+    KIO
+    CoreAddons
+    Wallet
+    ConfigWidgets
+    IconThemes
+    Solid
+    DBusAddons
+    Notifications
+    Plasma
+    Declarative
+    NetworkManagerQt
+)
 
-find_package(KF5NetworkManagerQt REQUIRED 5.42.0)
-
-find_package(KF5ModemManagerQt 5.14.0)
+find_package(KF5ModemManagerQt ${KF5_MIN_VERSION})
 set_package_properties(KF5ModemManagerQt PROPERTIES
                        TYPE OPTIONAL)
 
 # Required only for getting information about NetworkManager version in CMake
-find_package(NetworkManager 0.9.8.4)
+find_package(NetworkManager 1.4.0)
 set_package_properties(NetworkManager PROPERTIES
                        TYPE REQUIRED)
 
@@ -69,7 +80,7 @@
 endif()
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

=== libs/CMakeLists.txt ===
--- 
+++ 
@@ -18,20 +18,20 @@
 add_library(plasmanm_internal SHARED ${plasmanm_internal_SRCS})
 
 target_link_libraries(plasmanm_internal
+PUBLIC
+    KF5::NetworkManagerQt
     plasmanm_editor
-    KF5::NetworkManagerQt
-    KF5::Solid
-    KF5::Completion
+PRIVATE
+    KF5::Service
     KF5::I18n
     KF5::IconThemes
-    KF5::Plasma
     KF5::Notifications
-    Qt5::Xml
-    Qt5::Network
+    KF5::Wallet
+    KF5::WindowSystem
 )
 
 if (WITH_MODEMMANAGER_SUPPORT)
-    target_link_libraries(plasmanm_internal KF5::ModemManagerQt)
+    target_link_libraries(plasmanm_internal PUBLIC KF5::ModemManagerQt)
 endif()
 
 install(TARGETS plasmanm_internal ${INSTALL_TARGETS_DEFAULT_ARGS})

=== vpn/strongswan/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmanetworkmanagement_strongswanui\")

set(strongswan_SRCS
   strongswan.cpp
   strongswanwidget.cpp
   strongswanauth.cpp
   )

ki18n_wrap_ui(strongswan_SRCS strongswanprop.ui strongswanauth.ui)

add_library(plasmanetworkmanagement_strongswanui ${strongswan_SRCS})

kcoreaddons_desktop_to_json(plasmanetworkmanagement_strongswanui plasmanetworkmanagement_strongswanui.desktop)

target_link_libraries(plasmanetworkmanagement_strongswanui
    plasmanm_internal
    plasmanm_editor
    KF5::I18n
    KF5::KIOWidgets
    KF5::CoreAddons
)

install(TARGETS plasmanetworkmanagement_strongswanui  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES plasmanetworkmanagement_strongswanui.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               gettext,
               kinit-dev,
               libkf5completion-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5itemmodels-dev (>= 5.42.0~),
               libkf5itemviews-dev,
               libkf5kdelibs4support-dev (>= 5.37.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5networkmanagerqt-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5plasma-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5solid-dev (>= 5.50.0~),
               libkf5wallet-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libkf5xmlgui-dev,
               libnm-dev (>= 1.4.0~),
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.50.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nm.git

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework,
         qml-module-org-kde-kcoreaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc,
Replaces: plasma-nm-data
Description: Plasma5 networkmanager library.
 Plasma desktop network manager.
 .
 This package is part of the KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

## plasma-nm 5.15.4

=== debian/changelog ===
plasma-nm (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:39 +0100

plasma-nm (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:02 +0000

plasma-nm (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:15:08 +0000

plasma-nm (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:32 +0000

plasma-nm (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:08 +0000

plasma-nm (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:23 +0000

plasma-nm (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:54 +0000

plasma-nm (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:58 +0000

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               gettext,
               kinit-dev (>= 5.54.0~),
               libkf5completion-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5itemmodels-dev (>= 5.54.0~),
               libkf5itemviews-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5networkmanagerqt-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5solid-dev (>= 5.54.0~),
               libkf5wallet-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libnm-dev (>= 1.0.0~),
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.54.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework (>= 5.54.0~),
         qml-module-org-kde-kcoreaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc,
Replaces: plasma-nm-data
Description: Plasma5 networkmanager library.
 Plasma desktop network manager.
 .
 This package is part of the KDE Plasma.

## plasma-nm 5.16.5

=== debian/changelog ===
plasma-nm (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:25:19 +0100

plasma-nm (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:04 +0100

plasma-nm (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:21 +0100

plasma-nm (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:17 +0100

plasma-nm (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:25:14 +0100

plasma-nm (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:00 +0100

plasma-nm (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:07 +0100

plasma-nm (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:57 +0100

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               gettext,
               kinit-dev (>= 5.58.0~),
               libkf5completion-dev (>= 5.58.0~),
               libkf5configwidgets-dev (>= 5.58.0~),
               libkf5coreaddons-dev (>= 5.58.0~),
               libkf5dbusaddons-dev (>= 5.58.0~),
               libkf5declarative-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5itemmodels-dev (>= 5.58.0~),
               libkf5itemviews-dev (>= 5.58.0~),
               libkf5kdelibs4support-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5networkmanagerqt-dev (>= 5.58.0~),
               libkf5notifications-dev (>= 5.58.0~),
               libkf5plasma-dev (>= 5.58.0~),
               libkf5service-dev (>= 5.58.0~),
               libkf5solid-dev (>= 5.58.0~),
               libkf5wallet-dev (>= 5.58.0~),
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5windowsystem-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               libnm-dev (>= 1.0.0~),
               libopenconnect-dev (>= 3.99~),
               libqca-qt5-2-dev (>= 2.1.0~),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 1.0.0~),
               modemmanager-qt-dev (>= 5.58.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.4.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm

Package: plasma-nm
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         network-manager,
         plasma-framework (>= 5.54.0~),
         qml-module-org-kde-kcoreaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: network-manager-openconnect,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc,
Replaces: plasma-nm-data
Description: Plasma5 networkmanager library.
 Plasma desktop network manager.
 .
 This package is part of the KDE Plasma.
